Disconnect Email Account
curl --request DELETE \
--url https://api.lemlist.com/api/user/email-accounts/{emailAccountId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/user/email-accounts/{emailAccountId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/user/email-accounts/{emailAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/user/email-accounts/{emailAccountId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/user/email-accounts/{emailAccountId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"ok": true
}"Bad team""The authentication you supplied is incorrect""You are not allowed to modify this mailbox""Email account not found"Email Accounts
Disconnect Email Account
Disconnects an email account from your team.
DELETE
/
user
/
email-accounts
/
{emailAccountId}
Disconnect Email Account
Permanently disconnects the specified SMTP/IMAP email account. This will:
- Remove the SMTP and IMAP credentials
- Pause any active lemwarm warming
- Unlink the account from campaigns if owned by the API caller
This action cannot be undone. The email account will need to be reconnected from scratch.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the email account to disconnect.
Response
Email account disconnected successfully
Was this page helpful?